<?php 
include "../core.php";
saxue_checklogin();
include SAXUE_ROOT_PATH . "/model/member_users.php";
$users_handler = &saxuememberusershandler :: getinstance( "saxuememberusershandler" );
$saxueUsers = $users_handler -> get( $_SESSION['saxueUserId'] );
if ( !$saxueUsers ) {
		saxue_printfail( LANG_NO_USER );
} 
include SAXUE_ROOT_PATH . "/model/member_userdata.php";
$userdata_handler = &saxuememberuserdatahandler :: getinstance( "saxuememberuserdatahandler" );
$saxueUserdata = $userdata_handler -> get( $_SESSION['saxueUserId'] );
$user = $saxueUsers -> getvars( "n" ) + $saxueUserdata -> getvars( "n" );
$user['avatar'] = saxue_geturl( 'user_avatar', $_SESSION['saxueUserId'], 'l', $user['avatar'] );
$user['uhome'] = saxue_geturl( 'user_home', $_SESSION['saxueUserId'] );
include SAXUE_WEB_PATH . "/member/header.php";
$saxueTpl -> assign_by_ref( "user", $user );
$saxueTset['saxue_contents_template'] = SAXUE_THEME_PATH . "/member/index.html";
include SAXUE_WEB_PATH . "/member/footer.php";
